Summary: Tape Oriented Backup - A utility which makes backup management much easier.
Name: tob-rsh
Version: 0.14
Release: 101
Copyright: GPL
Requires: afio, bash, mt-st
Group: Utilities/System
Source0: ftp://sunsite.unc.edu/pub/Linux/systems/Backup/tob-0.14.tar.gz
Source1: tob-0.14-multi-tobrc
Source2: tob-etctape
Source3: tob-etctape.sh
Patch0: tob-0.14-multi.patch
BuildRoot: /tmp/tob-0.14

%package config
Summary: Configuration files for tob - Tape Oriented Backup
Group: Utilities/System

%description 
This version of tob has been enhanced to manage backups
in a large network A new volume configuration file has been added
<vol-name>.tape which defines environment overriding variables like
BACKUPDEV and BLOCKING for use with 2 or more tape drives. Type tob to
get a look at the argument changes introduced with this patch. 

NOTE: The restore argument now takes a volume or tape drive name rather
      than a restore directory.  Just cd to your restore directory before
      running the command.

Also, a directory can be excluded from the 'find' by preceding it with a '!'
in the volume .startdir file. For example:

/
!/var/spool/news

This version is best used with mt-st-rsh and afio-rsh which are found on the Redhat contrib site.

%description config
Configuration files for tob - Tape Oriented Backup.

%prep 
%setup -n tob
%patch -p1

%install
mkdir -p $RPM_BUILD_ROOT/{etc,etc/profile.d,usr/bin}
mkdir -p $RPM_BUILD_ROOT/var/lib/tob/{lists,volumes}
chown root.users $RPM_BUILD_ROOT/var/lib/tob/{lists,volumes}
chmod 755 $RPM_BUILD_ROOT/{etc,etc/profile.d,usr,usr/bin}
chmod 755 $RPM_BUILD_ROOT/{var,var/lib,var/lib/tob}
chmod 775 $RPM_BUILD_ROOT/var/lib/tob/{lists,volumes}
chmod g+s $RPM_BUILD_ROOT/var/lib/tob/{lists,volumes}
/usr/bin/install -o root -g root -m 755 tob $RPM_BUILD_ROOT/usr/bin/tob
/usr/bin/install -o root -g root -m 644 $RPM_SOURCE_DIR/tob-0.14-multi-tobrc $RPM_BUILD_ROOT/etc/tob.rc
/usr/bin/install -o root -g root -m 644 $RPM_SOURCE_DIR/tob-etctape $RPM_BUILD_ROOT/etc/TAPE
/usr/bin/install -o root -g root -m 755 $RPM_SOURCE_DIR/tob-etctape.sh $RPM_BUILD_ROOT/etc/profile.d/tape.sh

%clean 
rm -fr $RPM_BUILD_ROOT

%files
%doc $RPM_SOURCE_DIR/README.RHCL
%doc COPYING README doc tob.lsm
%dir /var/lib/tob/lists
%dir /var/lib/tob/volumes
/usr/bin/tob

%files config
%config /etc/tob.rc
%config /etc/TAPE
%config /etc/profile.d/tape.sh
